local addon_name, addon_data = ...
	
local core_frame = CreateFrame("Frame", addon_name .. "CoreFrame", UIParent)
core_frame:RegisterEvent("ADDON_LOADED")
core_frame:SetScript("OnUpdate", CoreFrame_OnUpdate)
	
local function OnAddonLoaded(self)
	core_frame:RegisterEvent("UPDATE_PENDING_MAIL")
	core_frame:RegisterEvent("PLAYER_LEVEL_UP")
end
	
--local function CoreFrame_OnUpdate()
--end
	
local function CoreFrame_OnEvent(self, event, ...)
	local args = {...}
	
   if event == "ADDON_LOADED" then
		if args[1] == "Freemium" then
			OnAddonLoaded()
		end
	end

	if event == "UPDATE_PENDING_MAIL" then
		MiniMapMailFrame:Hide()
		SubscriptionInterstitialFrame.CloseButton:Click()
	end
	if event == "PLAYER_LEVEL_UP" then
		--for when the player hits level 20
		SubscriptionInterstitialFrame.CloseButton:Click()
	end
end
	
--core_frame:SetScript("OnUpdate", CoreFrame_OnUpdate)
core_frame:SetScript("OnEvent", CoreFrame_OnEvent)